Problema con Wine al abrir programas

Imagen de novato en ubuntu
0 puntos

Hola a todos. Necesito que alguien me eche una mano.
Ayer instalé Wine, para probarlo, ya que me hablaron muy bien de él, y para poder utilizar en Linux un programa que sólo corre en Windows y que necesito en mi trabajo diario. Desde que me cambié a Linux, sólo empleo las windows para ese programa, y me gustaría desinstalarlas de mi ordenador, lo que sería posible si pudiese arrancar el programa con Wine. (utilizo el Ubuntu 9. 10 y me gustaría arrancar las windows XP)

He insertado el disco con el que se instala el programa, y arranqué el autorun.exe con dicho emulador. El programa se instaló, o eso me quiso hacer ver el Wine, porque ahora en Aplicaciones/Wine/Programas me aparece la carpeta con el programa. En esa misma carpeta está el .exe y los archivos flash de ayuda. Aquí está el problema: estos archivos los abre perfectamente y el programa en sí no lo abre, simplemente el Wine se cierra de manera automática.
Por hacer otra prueba, instalé el adobe reader, y lo mismo. Los archivos de ayuda los abre, el programa no.

Por favor, si alguien sabe la manera de ayudarme, le estaría muy agradecido.
Un saludo

Imagen de manuel eduardo
+1
0
-1

antes de hacer nada, ¿de donde instalaste el wine? me refiero a que si hiciste el trabajo fácil (desde los repos de ubuntu) o hiciste el trabajo manual (agregar el repositorio de wine e instalar la última versión en pruebas del programa), esto por que si hiciste lo primero te puedes encontrar con que la información de los repositorios de ubuntu con respecto a wine no es del todo actual, te recomiendo instalar wine desde sus repositorios oficiales.

Saludos

+1
0
-1
Imagen de furtaxi
+1
0
-1

Si buscas por el nombre del programa, sabrás si se puede usar en Ubuntu, bien sea con wine, o con algún virtualizador.

Otra forma, es que digas qué programa es, por si alguien sabe como hacerlo funcionar y te lo dice.

Mi WEB 100 % GNU/Linux: www.vigovideo.es
La energía no se crea ni se destruye, sólo se cobra... :D

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de Durionfly
+1
0
-1

A mi juegos que con Wine en su versión antigua de los repositorios de ubuntu no me han funcionado, pero sin embargo al actualizarlo a la última versión si me han funcionado sin mayor problema. Simplemente lo que hice fue actualizar mis repositorios (en la sección de descargas y de ubuntu te sale cómo hacerlo para cada versión) también puedes irte a la base de datos de programas y de juegos y ver si alguien lo ha hecho correr ademas de una calificación.

+1
0
-1
Imagen de novato en ubuntu
+1
0
-1

Gracias por las respuestas.

Me descargué el Wine desde Aplicaciones/centro de Software de Ubuntu, desde donde descargo todas las aplicaciones que me hacen falta.
El nombre del programa es Finale 2004. Soy músico y este es un programa de creación y edición de partituras, por si sirve de algo. Ya he investigado acerca de poder instalarlo en Ubuntu sin emuladores, pero solamente está hecho para correr en Windows.

Intentaré actualizar el programa, como dice Durionfly. En cuanto lo tenga, dejaré aquí otro mensaje.

De nuevo gracias.

+1
0
-1
Imagen de cousteau
+1
0
-1

Con respecto al programa, busca alternativas que funcionen en Linux. Rosegarden tiene editor de partituras, por ejemplo, aunque a lo mejor encuentras otro que te sirva mejor. Hay un CD llamado Musix con cientos de aplicaciones orientadas a música, audio, vídeo, gráficos y demás; échale un vistazo, quizá encuentres programas interesantes ahí (y luego te los instalas en Ubuntu desde repositorios).

Si no te convence ninguno, para instalar el programa en Wine te doy estos consejos:

  1. Tener la versión en desarrollo de Wine (1.1.42 o así). En repositorios tienes un paquete llamado wine1.2 que te instala dicha versión.
  2. Buscar tu programa en la AppDB de Wine.
  3. Seguir este tutorial.

«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
+1
0
-1

«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
Imagen de novato en ubuntu
+1
0
-1

Hola de nuevo. Estuve hablando con un conocido que me recomendó que me bajase la última versión de Wine directamente desde la página de Ubuntu. ¿Es bueno hacer eso? En caso de que sí, ¿Cómo puedo hacerlo?

Otra cosa, Cousteau dice que busque el programa que necesito en la AppDB de Wine, pero no está. ¿Se reducen mis posibilidades?

Por último, ¿Qué son exactamente los repositorios? ¿Es el centro de software de Ubuntu, del menú Aplicaciones? Como todo el mundo en este foro habla de ellos, quiero estar seguro de saberlo.

Gracias a todos.

+1
0
-1
Imagen de cousteau
+1
0
-1

Los repositorios son los servidores donde están almacenados todos los programas que te instalas sin necesidad de descargarlos a mano, es decir, a través del centro de software, o Synaptic, o por línea de comandos con aptitude o apt-get.

Lo de descargar Wine de la página de Ubuntu no tiene sentido. O te lo bajas de la página de Wine (y lo compilas, etc, un rollo), o te lo instalas desde repositorios (el paquete wine1.2 es una versión bastante actual, es la versión en desarrollo 1.1.31 de wine). También puedes añadir los repositorios de la página de Wine y luego instalar wine como lo harías normalmente (con Synaptic o apt-get o como quieras), y entonces en vez de la versión de Ubuntu se instalará la de Wine porque es más actualizada.

Y si no has encontrado el programa en AppDB no significa que no funcione, sólo que nadie lo ha probado y publicado. Si apareciese y pusiese algo como "Garbage" entonces sí, es que no funciona.


«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
+1
0
-1

«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
Imagen de novato en ubuntu
+1
0
-1

Cousteau: Actualmente estoy usando la versión de Wine que me has recomendado, me la descargué de los repositorios directamente. También he añadido los repositorios de la página de Wine, siguiendo el hipervínculo de tu comentario, y a mi manera de ver no me ha servido para nada. Estoy completamente bloqueado y no sé qué hacer ahora.

+1
0
-1
Imagen de cousteau
+1
0
-1

Si has agregado los repositorios de Wine, entonces cuando instales el paquete wine (y no wine1.2) se instalará la versión actualizada. wine1.2 contiene también una versión bastante nueva, pero al parecer no tanto como wine de los repositorios de Wine. Desinstala wine1.2 e instala wine.

También puede ser que el programa simplemente no funcione correctamente en Wine. Para esto vendría bien que ejecutases el programa desde un terminal y pegases aquí el resultado.

Por cierto, wine1.2 no es la versión 1.2 sino la 1.1.x; no sé por qué la llaman así.


«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
+1
0
-1

«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
Imagen de novato en ubuntu
+1
0
-1

Perdón por tardar tanto en contestar, he tenido ciertos problemas con el router wifi, ya solucionados.
Me han dado la idea de desinstalar wine y probar VirtualBox, y voy a probarlo. Dejaré otro mensaje en los próximos días.

+1
0
-1
Imagen de jharot
+1
0
-1

actualiza el wine pero primero asegurate de desintalarlos con todas sus dependencia y lo reinicias

+1
0
-1

neolivepc@hotmail.es ( devil may cry)